# Poco::Data::PostgreSQL

# class InputParameter

Library: Data/PostgreSQL
Package: PostgreSQL
Header: Poco/Data/PostgreSQL/PostgreSQLTypes.h

## Description

PostgreSQL class to record values for input parameters to SQL statements

## Member Summary

Member Functions: fieldType, isBinary, pData, pInternalRepresentation, setNonStringVersionRepresentation, setStringVersionRepresentation, size

## Types Aliases

### CDT

using CDT = Poco::Data::MetaColumn::ColumnDataType;

## Constructors

### InputParameter

InputParameter();

### InputParameter

InputParameter(
CDT fieldType,
const void * dataPtr,
std::size_t dataLength
);

## Destructor

### ~InputParameter

~InputParameter();

## Member Functions

### fieldType

CDT fieldType() const;

### isBinary

bool isBinary() const;

### pData

const void * pData() const;

### pInternalRepresentation

const void * pInternalRepresentation() const;

### setNonStringVersionRepresentation

void setNonStringVersionRepresentation(
const void * aPtr,
std::size_t theSize
);

### setStringVersionRepresentation

void setStringVersionRepresentation(
const std::string & aString
);

### size

std::size_t size() const;